<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\Servicios as Servicio;

class Servicios extends Component
{
    public $data, $selected_id, $costo, $descripcion;
    public $updateMode = false;

    public function render()
    {
        $this-> data = Servicio::all();
        return view('livewire.Servicios.servicios');
    }

    public function resetInput()
    {
        $this->costo = null;
        $this->descripcion = null;
    }

    public function store()
    {
        $this->validate([
            'costo' => 'required',
            'descripcion' => 'required'
        ]);

        Servicio::create([
            'costo' => $this->costo,
            'descripcion' => $this->descripcion
        ]);
        $this->resetInput();
    }

    public function edit($id)
    {
        $record = Servicio::findOrFail($id);

        $this->selected_id = $id;
        $this->costo = $record->costo;
        $this->descripcion = $record->descripcion;

        $this->updateMode = true;

    }

    public function update()
    {
        $this->validate([
            'selected_id' => 'required|numeric'
        ]);

        if ($this->selected_id)
        {
            $record = Servicio::find($this->selected_id);
            $record->update([
                'costo' => $this->costo,
                'descripcion' => $this->descripcion
            ]);

            $this->resetInput();
            $this->updateMode = false;
        }
    }

    public function destroy($id)
    {
        if ($id) {
            $record = Servicio::where('id', $id);
            $record->delete();
        }
    }
}
