<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('productos', function (Blueprint $table) {
            $table->id();
            $table->string('clave_producto', 100);
            $table->integer('tipo_producto');
            $table->string('descripcion_producto')->nullable();
            $table->foreignId('categoria_producto_id')->constrained('categoria_producto');
            $table->string('marca_producto', 100)->nullable();
            $table->double('costo_compra')->nullable();
            $table->double('precio_venta')->nullable();
            $table->string('presentacion_producto')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('productos');
    }
};
