
        <input type="hidden" wire:model="selected_id">
        <div class="grid gap-6 mb-6 md:grid-cols-2">
            <div>
                <label for="clave_producto" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Clave Producto</label>
                <input type="text" id="clave_producto" wire:model="clave_interna" class="{{ $errors->has('clave_interna') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="01504">
                @error('clave_producto')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
            <div>
                <label for="tipo_producto" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Tipo de producto</label>
                <select id="tipo_producto" wire:model="tipo_producto" class="{{ $errors->has('tipo_producto') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                    <option selected>Seleccione Tipo de producto</option>
                    <option value = "1">Medical</option>
                    <option value = "2">Beauty</option>
                </select>
            </div>
            <div>
                <label for="categoria_producto_id" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Una categoria</label>
                <select id="categoria_producto_id" wire:model="categoria_producto_id" class="{{ $errors->has('categoria_producto_id') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                    <option selected>Seleccione Una Categoria</option>
                    @foreach ($categorias as $categoria)
                        <option value={{ $categoria->id }}> {{ $categoria->descripcion }} </option>
                    @endforeach
                </select>
            </div>
            <div>
                <label for="descripcion_producto" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Descripción del producto</label>
                <input type="text" id="descripcion_producto" wire:model="descripcion_producto" class="{{ $errors->has('descripcion_producto') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Michel">
                @error('descripcion_producto')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
            <div>
                <label for="marca_producto" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Marca</label>
                <input type="text" id="marca_producto" wire:model="marca_producto" class="{{ $errors->has('marca_producto') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Calle cuarta">
                @error('direccion_cliente')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
            <div>
                <label for="costo_compra" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Precio Lista</label>
                <input type="number" id="costo_compra" wire:model="costo_compra" class="{{ $errors->has('costo_compra') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Sinaloa">
                @error('costo_compra')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
            <div>
                <label for="precio_venta" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Precio Venta</label>
                <input type="number" id="precio_venta" wire:model="precio_venta" class="{{ $errors->has('precio_venta') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Culiacán">
                @error('precio_venta')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
            <div>
                <label for="presentacion_producto" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Presentación</label>
                <input type="text" id="presentacion_producto" wire:model="presentacion_producto" class="{{ $errors->has('presentacion_producto') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="6677519117">
                @error('presentacion_producto')
                <span class="text-red-500 text-xs italic">{{ $message }}</span>
                @enderror
            </div>
        </div>
        <div class="w-auto pl-4 text-right">
            <button wire:click="update()" class="px-3 py-2 bg-orange-200 text-orange-500 hover:bg-orange-500 hover:text-orange-100 rounded">Actualizar</button>
        </div>
        <div class="pt-5">

        </div>
