<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\DB;
use App\Models\MovimientosStock;
use App\Models\TipoMovimientoStock;
use App\Models\Productos;
use Illuminate\Support\Facades\Auth;

class Movimientos_stock extends Component
{
    public $tipo_movimiento, $producto, $usuario, $stock_anterior, $stock_actual, $selected_id, $productos, $tipos_movimientos, $cantidad;
    public $movimiento = false;
    public $nuevoMovimiento = false;
    public $searchTerm = '';
    public $agregar = false;
    public $alerta = false;
    public function render()
    {
        $busqueda = $this->searchTerm
        ? Productos::where('descripcion_producto', 'LIKE', '%'.$this->searchTerm.'%')->limit(3)->get()
        : Productos::orderBy('descripcion_producto', 'desc')->limit(3)->get();
        $this->productos = $busqueda;
        $movimientos = MovimientosStock::with('tipoMovimientos', 'productos', 'users')->orderBy('created_at', 'desc')->limit(10)->get();
        if ($this->movimiento) {
            return view('livewire.Movimientos.show');
        } else if ($this->nuevoMovimiento) {
            return view('livewire.Movimientos.create');
        } else if ($this->agregar) {
            return view('livewire.Movimientos.add');
        } else {
            return view('livewire.Movimientos.movimientos', ['data' => $movimientos]);
        }

    }

    public function crearMovimiento()
    {
        $this->nuevoMovimiento = true;
        $this->render();
    }

    public function agregarMovimiento($id)
    {
        $this->agregar = true;
        $this->nuevoMovimiento = false;
        $this->selected_id = $id;
        $this->tipos_movimientos = TipoMovimientoStock::all();
    }

    public function hacerMovimiento($selected_id)
    {
        $nuevo = MovimientosStock::create([
            'tipo_movimiento_stock_id' => $this->tipo_movimiento,
            'producto_id' => $selected_id,
            'user_id' => Auth::user()->id,
            'cantidad' => $this->cantidad,
            'stock_id' => 1,
        ]);
        $record = Productos::find($selected_id);
        if ($this->tipo_movimiento === "1") {
            $suma = $record->stock_actual + $this->cantidad;
            $record->update([
                'stock_anterior' => $record->stock_actual,
                'stock_actual' => $suma,
            ]);
        } else {
            $suma = $record->stock_actual - $this->cantidad;
            $record->update([
                'stock_anterior' => $record->stock_actual,
                'stock_actual' => $suma,
            ]);
        }
        if ($nuevo)
        {
            $this->alerta = true;
            session()->flash('message', 'Movimiento Agregado Correctamente');
        } else
        {
            $this->alerta = false;
            session()->flash('message', 'Error al Agregar Movimiento .$this->cantidad.');
        }
        $this->agregar = false;
        $this->render();
    }

    /*public function edit($id)
    {
        $this->movimiento_stock = DB::table('movimientos_stocks')
        ->join('tipo_movimiento_stocks', 'movimientos_stocks.tipo_movimiento_stock_id', '=', 'tipo_movimiento_stocks.id')
        ->join('productos', 'movimientos_stocks.producto_id', '=', 'productos.id')
        ->join('users', 'movimientos_stocks.user_id', '=', 'users.id')
        ->select('movimientos_stocks.id as id', 'tipo_movimiento_stocks.descripcion as TipoMovimiento', 'productos.clave_producto as Producto', 'productos.stock_anterior as OldStock', 'productos.stock_actual as Stock', 'movimientos_stocks.cantidad as Cantidad', 'movimientos_stocks.created_at as Fecha', 'users.name as Usuario')
        ->where('movimientos_stocks.id', $id)
        ->first();
       $this->id_movimiento = $this->movimiento_stock->id;
       $this->tipo_movimiento = $this->movimiento_stock->TipoMovimiento;
    }*/

    public function mostrar($id)
    {
       $this->movimiento = true;
       $movimiento_stock = MovimientosStock::with('tipoMovimientos', 'productos', 'users')->where('id', '=', $id)->first();
       $this->selected_id = $id;
       $this->tipo_movimiento = $movimiento_stock->tipoMovimientos->descripcion;
       $this->producto = $movimiento_stock->productos->clave_producto;
       $this->usuario = $movimiento_stock->users->name;
       $this->stock_anterior = $movimiento_stock->productos->stock_anterior;
       $this->stock_actual = $movimiento_stock->productos->stock_actual;
    }
}
