<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\TipoMovimientoStock;
use App\Models\Productos;

class MovimientosStock extends Model
{
    protected $table = "movimientos_stocks";

    protected $guarded = [];

    public function tipoMovimientos()
    {
        return $this->belongsTo(TipoMovimientoStock::class, 'tipo_movimiento_stock_id', 'id');
    }

    public function productos()
    {
        return $this->belongsTo(Productos::class, 'producto_id', 'id');
    }

    public function users()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
