<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ventas extends Model
{

    protected $table = 'ventas';

    protected $guarded = [];

    public function vendedor()
    {
        return $this->belongsTo(Vendedores::class, 'vendedor_id', 'id');
    }

    public function cliente()
    {
        return $this->belongsTo(Clientes::class, 'cliente_id', 'id');
    }

    public function usuario()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function detalle()
    {
        return $this->belongsToMany(DetalleVentas::class);
    }

}
