<x-perfect-scrollbar as="nav" aria-label="main" class="flex flex-col flex-1 gap-4 px-3">

    <x-sidebar.link title="Beauty and Helt" href="{{ route('dashboard') }}" :isActive="request()->routeIs('dashboard')">
        <x-slot name="icon">
            <x-icons.dashboard class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>
    </x-sidebar.link>

    <x-sidebar.dropdown title="Catalogo Clientes" :active="Str::startsWith(request()->route()->uri(), 'clientes')" :isActive="request()->routeIs('clientes')">
        <x-slot name="icon">
            <x-heroicon-o-user class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Titulos" href="{{ route('titulo') }}"
            :active="request()->routeIs('titulo')" />
            <x-sidebar.sublink title="Clientes" href="{{ route('clientes') }}"
            :active="request()->routeIs('clientes')" />
    </x-sidebar.dropdown>

    <x-sidebar.dropdown title="Catalogo Gastos" :active="Str::startsWith(request()->route()->uri(), 'gastos')">
        <x-slot name="icon">
            <x-carbon-money class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Tipo de Gastos" href="{{ route('tipo_gastos') }}"
            :active="request()->routeIs('tipo_gastos')" />
        <x-sidebar.sublink title="Gastos" href="{{ route('gasto') }}"
            :active="request()->routeIs('gasto')" />
    </x-sidebar.dropdown>

    <x-sidebar.dropdown title="Catalogo Proveedores" :active="Str::startsWith(request()->route()->uri(), 'proveedores')">
        <x-slot name="icon">
            <x-carbon-network-enterprise class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Tipo de Proveedor" href="{{ route('tipo_proveedor') }}"
            :active="request()->routeIs('tipo_proveedor')" />
        <x-sidebar.sublink title="Proveedor" href="{{ route('proveedor') }}"
            :active="request()->routeIs('proveedor')" />
    </x-sidebar.dropdown>

    <x-sidebar.dropdown title="Catalogo Productos" :active="Str::startsWith(request()->route()->uri(), 'productos')">
        <x-slot name="icon">
            <x-carbon-product class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Categorias" href="{{ route('categorias') }}"
            :active="request()->routeIs('categorias')" />
        <x-sidebar.sublink title="Productos" href="{{ route('productos') }}"
            :active="request()->routeIs('productos')" />
        <x-sidebar.sublink title="Servicios" href="{{ route('servicios') }}"
            :active="request()->routeIs('servicios')" />
    </x-sidebar.dropdown>
    <x-sidebar.dropdown title="Inventarios" :active="Str::startsWith(request()->route()->uri(), 'movimientos_stock')">
        <x-slot name="icon">
            <x-carbon-product class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Inventario" href="{{ route('movimientos_stock') }}"
            :active="request()->routeIs('movimientos_stock')" />
    </x-sidebar.dropdown>
    <x-sidebar.dropdown title="Vendedores" :active="Str::startsWith(request()->route()->uri(), 'presales')">
        <x-slot name="icon">
            <x-carbon-product class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Vendedores" href="{{ route('presales') }}"
            :active="request()->routeIs('presales')" />
    </x-sidebar.dropdown>




    {{-- Examples --}}

    {{-- <x-sidebar.link title="Dashboard" href="{{ route('dashboard') }}" :isActive="request()->routeIs('dashboard')" /> --}}

    {{-- <x-sidebar.dropdown title="Buttons" :active="Str::startsWith(request()->route()->uri(), 'buttons')">
        <x-slot name="icon">
            <x-heroicon-o-view-grid class="flex-shrink-0 w-6 h-6" aria-hidden="true" />
        </x-slot>

        <x-sidebar.sublink title="Text button" href="{{ route('buttons.text') }}"
            :active="request()->routeIs('buttons.text')" />
        <x-sidebar.sublink title="Icon button" href="{{ route('buttons.icon') }}"
            :active="request()->routeIs('buttons.icon')" />
        <x-sidebar.sublink title="Text with icon" href="{{ route('buttons.text-icon') }}"
            :active="request()->routeIs('buttons.text-icon')" />
    </x-sidebar.dropdown> --}}

</x-perfect-scrollbar>
