
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <div>
            <button wire:click="crearCliente()" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Crear</button>
        </div>
        <div class="pt-5">

        </div>
        <table class="w-full text-left rtl:text-right text-gray-500 dark:text-gray-400 text-xs">
            <thead class="text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Nombre</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($data as $item)
            <tr class="odd:bg-white text-xs md:table-auto odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item->id }} </th>
                    <td scope="col">{{ Str::title($item->nombre) }}</td>
                    <td scope="col">
                        <button wire:click="show({{ $item->id }})" class="px-2 py-1 bg-orange-500 text-orange-300 hover:bg-orange-200 hover:text-white rounded">Editar</button>

                        <button onclick="confirm('¿Está seguro?') || event.stopImmediatePropagation()" wire:click="destroy({{ $item->id }})" class="px-2 py-1 bg-red-500 text-red-400 hover:bg-red-300 hover:text-white rounded">Borrar</button>
                    </td>
                </tr>
            @empty
                <tr class="text-center">
                    <td colspan="4" class="py-3 italic">No hay información</td>
                </tr>
            @endforelse
        </tbody>
    </table>
    <x-dialog-modal wire:model="updateMode">
        <x-slot name="title">
            <span class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700"><h1 class="text-gray-900 dark:text-white font-medium">Actualizar</h1></span>
        </x-slot>
        <x-slot name="content">
                @include('livewire.Clientes.update')
        </x-slot>

        <x-slot name="footer">
            <div>
                <button wire:click="$set('updateMode', false)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">cerrar</button>
            </div>
        </x-slot>
    </x-dialog-modal>
    <x-dialog-modal wire:model="mostrar">
        <x-slot name="title">
            <span class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700"><h1 class="text-gray-900 dark:text-white font-medium">Registro Completo</h1></span>
        </x-slot>
        <x-slot name="content">
                <div class="grid gap-6 mb-6 md:grid-cols-2">
                    <div>
                        <label for="clave_interna" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Clave Interna</label>
                        <input type="text" disabled id="clave_interna" wire:model="clave_interna" class="{{ $errors->has('clave_interna') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="01504">
                        @error('clave_interna')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="titulo_id" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Un Titulo</label>
                        <select id="titulo_id" disabled wire:model="titulo_id" class="{{ $errors->has('titulo_id') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                            <option selected>Seleccione Un Titulo</option>
                            @foreach ($titulos as $titulo)
                                <option value={{ $titulo->id }}> {{ $titulo->descripcion }} </option>
                            @endforeach
                        </select>
                    </div>
                    <div>
                        <label for="nombre" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Nombre(s)</label>
                        <input type="text" id="nombre" disabled wire:model="nombre" class="{{ $errors->has('nombre') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Michel">
                        @error('nombre')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="direccion_cliente" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Dirección</label>
                        <input type="text" disabled id="direccion_cliente" wire:model="direccion_cliente" class="{{ $errors->has('direccion_cliente') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Calle cuarta">
                        @error('direccion_cliente')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="estado" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Estado</label>
                        <input type="text" disabled id="estado" wire:model="estado" class="{{ $errors->has('estado') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Sinaloa">
                        @error('estado')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="ciudad" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Ciudad</label>
                        <input type="text" disabled id="ciudad" wire:model="ciudad" class="{{ $errors->has('ciudad') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Culiacán">
                        @error('ciudad')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="email" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Email</label>
                        <input type="text" disabled id="email" wire:model="email" class="{{ $errors->has('email') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="jyo_0509@hotmail.com">
                        @error('email')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="telefono" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Teléfono</label>
                        <input type="text" disabled id="telefono" wire:model="telefono" class="{{ $errors->has('telefono') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="6677519117">
                        @error('telefono')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                    <div>
                        <label for="rfc" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">RFC</label>
                        <input type="text" disabled id="rfc" wire:model="rfc" class="{{ $errors->has('rfc') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="6677519117">
                        @error('rfc')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </div>
                </div>
        </x-slot>

        <x-slot name="footer">
            <div>
                <button wire:click="$set('mostrar', false)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">cerrar</button>
            </div>
        </x-slot>
    </x-dialog-modal>
</div>
