<div class="grid gap-6 mb-6 md:grid-cols-2">
    <div>
        <label for="tipo_compra" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Tipo de Compra</label>
        <select id="tipo_compra" wire:model.defer="tipo_compra" class="{{ $errors->has('tipo_compra') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Seleccione Tipo de Compra</option>
            <option value="0"> Contado </option>
            <option value="1"> Credito </option>
        </select>
    </div>
    <div>
        <label for="proveedor_id" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Proveedor</label>
        <select id="proveedor_id" wire:model.defer="proveedor_id" class="{{ $errors->has('proveedor_id') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Seleccione Proveedor</option>
            @foreach ($proveedores as $item)
             <option value={{$item->id}}>{{$item->nombre_negocio}}</option>
            @endforeach
        </select>
    </div>
    <div>
        <button wire:click="create()" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Agregar</button>
    </div>
    <div class="pt-5">

    </div>
    <x-dialog-modal wire:model="openModal">
        <x-slot name="title">
            Detalles de la Compra
        </x-slot>
        <x-slot name="content">
            <div class="grid gap-12 mb-12 md:grid-cols-1">
                <div>
                    <label for="searchTerm" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Descripción</label>
                    <input type="text" id="searchTerm" wire:model="searchTerm" class="{{ $errors->has('searchTerm') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Buscar..." wire:keydown='create'>
                    @error('searchTerm')
                    <span class="text-red-500 text-xs italic">{{ $message }}</span>
                    @enderror
                </div>
                    @if (count($productos) > 0)
                    <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
                        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Descripción</th>
                            <th scope="col">Precio Compra</th>
                            <th scope="col">Cantidad</th>
                            <th scope="col">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($productos as $item)
                        <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                            <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item->id }} </th>

                                <td scope="col">{{ $item->descripcion_producto }}</td>
                                <td scope="col">
                                    <input type="text" id="costo_compra_editado" wire:model.defer="costo_compra_editado" class="{{ $errors->has('costo_compra_editado') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="${{ number_format($item->costo_compra, 2) }}">
                                    @error('costo_compra_editado')
                                    <span class="text-red-500 text-xs italic">{{ $message }}</span>
                                    @enderror
                                </td>
                                <td scope="col">

                                    <input type="text" id="cantidad" wire:model.defer="cantidad" class="{{ $errors->has('cantidad') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Stock {{$item->stock_actual }}">
                                    @error('cantidad')
                                    <span class="text-red-500 text-xs italic">{{ $message }}</span>
                                    @enderror
                                </td>
                                <td scope="col">
                                    <button wire:click="agregarProducto({{ $item->id }})" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Agregar</button>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                <div class="pt-5">

                </div>
                @else
                <tr class="text-center">
                    <td colspan="4" class="py-3 italic">No hay información</td>
                </tr>
                @endif
                <div class="pt-5">

                </div>
            </div>
        </x-slot>
     <x-slot name="footer">
        <x-button wire:click="$set('openModal', false)">
            Terminar
        </x-button>
     </x-slot>
    </x-dialog-modal>
</div>
