
<div>
    <div class="grid gap-6 mb-6 md:grid-cols-2">
    <div>
        <label for="tipos_gastos_id" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione Tipo de Gasto</label>
        <select id="tipos_gastos_id" wire:model.defer="tipos_gastos_id" class="{{ $errors->has('tipos_gastos_id') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Seleccione Tipo de Gasto</option>
            @foreach ($tipos as $tipo)
                <option value={{ $tipo->id }}> {{ $tipo->descripcion }} </option>
            @endforeach
        </select>
    </div>
    <div>
        <label for="descripcion" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Descripción</label>
        <input type="text" id="descripcion" wire:model.defer="descripcion" class="{{ $errors->has('descripcion') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Descripcion breve">
        @error('descripcion')
        <span class="text-red-500 text-xs italic">{{ $message }}</span>
        @enderror
    </div>
    <div>
        <label for="costo" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Costo</label>
        <input type="text" id="costo" wire:model.defer="costo" class="{{ $errors->has('costo') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="$">
        @error('costo')
        <span class="text-red-500 text-xs italic">{{ $message }}</span>
        @enderror
    </div>
    </div>
    <div>
        <button wire:click="store()" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Agregar</button>
    </div>
    <div class="pt-5">

    </div>
</div>

