<div class="relative overflow-x-auto shadow-md sm:rounded-lg">
    <div>
        <button wire:click="$set('crear', true)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Agregar</button>
    </div>
    <div class="pt-5">

    </div>
        <table class="w-full text-xs text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Descripción</th>
                <th scope="col">Costo</th>
                <th scope="col">Fecha</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($data as $item)
            <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 text-sm whitespace-nowrap dark:text-white">{{ $item->id }} </th>
                    <td scope="col">{{ $item->descripcion }}</td>
                    <td scope="col">$ {{ $item->costo }}</td>
                    <td scope="col">{{ $item->created_at }}</td>
                    <td scope="col">
                        <button wire:click="edit({{ $item->id }})" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Editar</button>
                        <button onclick="confirm('¿Está seguro?') || event.stopImmediatePropagation()" wire:click="destroy({{ $item->id }})" class="px-2 py-1 bg-red-200 text-red-500 hover:bg-red-500 hover:text-white rounded">Borrar</button>
                    </td>
                </tr>
            @empty
                <tr class="text-center">
                    <td colspan="4" class="py-3 italic">No hay información</td>
                </tr>
            @endforelse
        </tbody>
    </table>
    <x-dialog-modal wire:model="updateMode">
        <x-slot name="title">
            <span class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700"><h1 class="text-gray-900 dark:text-white font-medium">Actualizar</h1></span>
        </x-slot>
        <x-slot name="content">
                @include('livewire.Gasto.update')
        </x-slot>

        <x-slot name="footer">
            <div>
                <button wire:click="$set('updateMode', false)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">cerrar</button>
            </div>
        </x-slot>
    </x-dialog-modal>
    <x-dialog-modal wire:model="crear">
        <x-slot name="title">
            <span class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700"><h1 class="text-gray-900 dark:text-white font-medium">Guardar</h1></span>
        </x-slot>
        <x-slot name="content">
                @include('livewire.Gasto.create')
        </x-slot>

        <x-slot name="footer">
            <div>
                <button wire:click="$set('crear', false)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">cerrar</button>
            </div>
        </x-slot>
    </x-dialog-modal>
</div>
