<div class="grid gap-12 mb-12 md:grid-cols-1">
    <div>
        <label for="searchTerm" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Buscar Productos</label>
        <input type="text" id="searchTerm" wire:model="searchTerm" class="{{ $errors->has('searchTerm') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Buscar..."/>
        @error('searchTerm')
        <span class="text-red-500 text-xs italic">{{ $message }}</span>
        @enderror
    </div>
        @if (count($productos) > 0)
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Descripción</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($productos as $item)
            <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item->id }} </th>

                    <td scope="col">{{ $item->descripcion_producto }}</td>
                    <td scope="col">
                        <button wire:click="agregarMovimiento({{ $item->id }})" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Seleccionar</button>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    <div class="pt-5">

    </div>
    @else
    <tr class="text-center">
        <td colspan="4" class="py-3 italic">No hay información</td>
    </tr>
    @endif
    <div class="pt-5">

    </div>
</div>
