<div class="relative overflow-x-auto shadow-md sm:rounded-lg">
    <div>
        <button wire:click="crearMovimiento()" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Nuevo Movimiento</button>
    </div>
    <div class="pt-5">
        @if (session()->has('message'))
            @if ($alerta)
                <x-success-alert />
            @else
                <x-danger-alert />
            @endif
        @endif
    </div>
        <table class="w-full text-xs text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Tipo</th>
                <th scope="col">Producto</th>
                <th scope="col">Cantidad</th>
                <th scope="col">Fecha</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($data as $item)
            <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 text-sm whitespace-nowrap dark:text-white">{{ $item->id }} </th>
                    <td scope="col">{{ $item->tipoMovimientos->descripcion }}</td>
                    <td scope="col">{{ $item->productos->clave_producto }}</td>
                    <td scope="col">{{ $item->cantidad }}</td>
                    <td scope="col">{{ $item->created_at }}</td>
                    <td scope="col">
                        <button wire:click="mostrar({{ $item->id }})" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Detalles</button>

                    </td>
                </tr>
            @empty
                <tr class="text-center">
                    <td colspan="4" class="py-3 italic">No hay información</td>
                </tr>
            @endforelse
        </tbody>
    </table>

</div>
