
<input type="hidden" wire:model="selected_id">
<div class="grid gap-6 mb-6 md:grid-cols-2">
    <div>
        <label for="tipo_movimiento_id" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Seleccione tipo de Movimiento</label>
        <select id="tipo_movimiento_id" wire:model.defer="tipo_movimiento_id" class="form-control {{ $errors->has('tipo_movimiento_id') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Seleccione tipo de Movimiento</option>
            @foreach ($tipoMovimiento as $tipoMovimientos)
                <option value="{{ $tipoMovimientos->id }}"> {{ $tipoMovimientos->descripcion }} </option>
            @endforeach
        </select>
    </div>
    <div>
        <label for="cantidad" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Stock</label>
        <input type="number" id="cantidad" wire:model.defer="cantidad" class="{{ $errors->has('cantidad') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="50">
        @error('cantidad')
        <span class="text-red-500 text-xs italic">{{ $message }}</span>
        @enderror
    </div>
    <div>
        <button wire:click="actualizaStock()" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Agregar</button>
    </div>
    <div class="pt-5">

    </div>
</div>



