<div class="grid gap-12 mb-12 md:grid-cols-1">
    <div>
        <label for="searchTerm" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Buscar Productos</label>
        <input type="text" id="searchTerm" wire:model="searchTerm" class="{{ $errors->has('searchTerm') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Buscar..."/>
        @error('searchTerm')
        <span class="text-red-500 text-xs italic">{{ $message }}</span>
        @enderror
    </div>
        @if (count($productos_ventas) > 0)
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Descripción</th>
                <th scope="col">Precio Compra</th>
                <th scope="col">Cantidad</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($productos_ventas as $item)
            <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item->id }} </th>

                    <td scope="col">{{ $item->descripcion_producto }}</td>
                    <td scope="col">
                        <input type="text" id="costo_compra_editado" wire:model.defer="costo_compra_editado" class="{{ $errors->has('costo_compra_editado') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="${{ number_format($item->costo_compra, 2) }}">
                        @error('costo_compra_editado')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </td>
                    <td scope="col">

                        <input type="text" id="cantidad" wire:model.defer="cantidad" class="{{ $errors->has('cantidad') ? ' border-red-500' : 'border-gray-200' }} bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Stock {{$item->stock_actual }}">
                        @error('cantidad')
                        <span class="text-red-500 text-xs italic">{{ $message }}</span>
                        @enderror
                    </td>
                    <td scope="col">
                        <button wire:click="agregarProducto({{ $item->id }})" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Agregar</button>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    <div class="pt-5">

    </div>
    @else
    <tr class="text-center">
        <td colspan="4" class="py-3 italic">No hay información</td>
    </tr>
    @endif
    <div class="pt-5">

    </div>
    @if (count($arrayInicial) > 0)
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
            <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <span class="text-white-500 text-sm">Cliente: {{$nombreCliente}}</span>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Costo unitario</th>
                    <th scope="col">Cantidad</th>
                    <th scope="col">Total</th>
                    <th scope="col">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($arrayInicial as $item )
                <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item['id'] }} </th>

                        <td scope="col">${{ number_format($item['costo_unitario'], 2) }}</td>
                        <td scope="col">{{ $item['cantidad'] }}</td>
                        <td scope="col">${{ number_format($item['total_movimiento'], 2) }}</td>
                        <td scope="col">
                            <button wire:click="eliminar({{ $loop->index }})" class="px-2 py-1 bg-red-200 text-red-500 hover:bg-red-500 hover:text-white rounded">Eliminar</button>
                        </td>
                    </tr>
                @endforeach

        </tbody>
       </table>
       <div class="pt-5">

       </div>
       <div>
        <button wire:click="crearVenta()" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Aceptar</button>
    </div>
    <div class="pt-5">

    </div>
        @endif
    </div>
</div>
