<div>
    <div>
        <button wire:click="$set('inicio', true)" class="px-3 py-2 bg-gray-200 text-gray-500 hover:bg-gray-700 hover:text-white-100 rounded">Crear</button>
    </div>
    <div class="pt-5">
        @if (session()->has('message'))
        @if ($alerta)
            <x-success-alert />
        @else
            <x-danger-alert />
        @endif
    @endif
    </div>
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table class="w-full text-xs text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Cliente</th>
                <th scope="col">Total</th>
                <th scope="col">Fecha Compra</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($data as $item)
            <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700">
                <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">{{ $item->id }} </th>
                    <td scope="col">{{ Str::title($item->cliente->nombre) }}</td>
                    <td scope="col">${{ $item->total }}.00</td>
                    <td scope="col">{{ Carbon\Carbon::parse($item->created_at)->format('d-m-Y') }}</td>
                    <td scope="col">
                        <button wire:click="show({{ $item->id }})" class="px-2 py-1 bg-gray-200 text-gray-500 hover:bg-gray-500 hover:text-white rounded">Pdf</button>
                        @if ($item->tipo_venta == 0)
                            <button wire:click="abonar({{ $item->id }})" class="px-2 py-1 bg-green-200 text-green-500 hover:bg-green-500 hover:text-white rounded">Abonar</button>
                        @else
                            <button disabled="disabled" class="px-2 py-1 bg-blue-200 text-blue-500 hover:bg-blue-500 hover:text-white rounded">Contado</button>
                        @endif

                    </td>
                </tr>
            @empty
                <tr class="text-center">
                    <td colspan="4" class="py-3 italic">No hay información</td>
                </tr>
            @endforelse
        </tbody>
      </table>
    </div>
</div>
