<?php

use Illuminate\Support\Facades\Route;
use Livewire\Livewire;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified'
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
    Route::view('titulo', 'titulos.titulo')
    ->name('titulo');
    Route::view('cliente', 'clientes.index')
    ->name('clientes');
    Route::view('tipo_gastos', 'tipo_gasto_component.index')
    ->name('tipo_gastos');
    Route::view('gasto', 'gasto.index')
    ->name('gasto');
    Route::view('tipo_proveedor', 'tipo-proveedor.index')
    ->name('tipo_proveedor');
    Route::view('proveedor', 'proveedores.index')
    ->name('proveedor');
    Route::view('categorias', 'categorias.index')
    ->name('categorias');
    Route::view('productos', 'productos.index')
    ->name('productos');
    Route::view('servicios', 'servicios.index')
    ->name('servicios');
    Route::view('compras', 'compras.index')
    ->name('compras');
    Route::view('presales', 'presales.index')
    ->name('presales');
    Route::view('ventas', 'ventas.index')
    ->name('ventas');
    Route::view('movimientos_stock', 'movimientos-stock.index')
    ->name('movimientos_stock');
});

