<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Nota Remisión</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

        <style type="text/css" media="screen">
            html {
                font-family: sans-serif;
                line-height: 1.15;
                margin: 0;
            }

            body {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
                font-weight: 400;
                line-height: 1.5;
                color: #212529;
                text-align: left;
                background-color: #fff;
                font-size: 10px;
                margin: 36pt;
            }

            h4 {
                margin-top: 0;
                margin-bottom: 0.5rem;
            }

            p {
                margin-top: 0;
                margin-bottom: 1rem;
            }

            strong {
                font-weight: bolder;
            }

            img {
                vertical-align: middle;
                border-style: none;
            }

            table {
                border-collapse: collapse;
            }

            th {
                text-align: inherit;
            }

            h4, .h4 {
                margin-bottom: 0.5rem;
                font-weight: 500;
                line-height: 1.2;
            }

            h4, .h4 {
                font-size: 1.5rem;
            }

            .table {
                width: 100%;
                margin-bottom: 1rem;
                color: #212529;
            }

            .table th,
            .table td {
                padding: 0.75rem;
                vertical-align: top;
            }

            .table.table-items td {
                border-top: 1px solid #dee2e6;
            }

            .table thead th {
                vertical-align: bottom;
                border-bottom: 2px solid #dee2e6;
            }

            .mt-5 {
                margin-top: 3rem !important;
            }

            .pr-0,
            .px-0 {
                padding-right: 0 !important;
            }

            .pl-0,
            .px-0 {
                padding-left: 0 !important;
            }

            .text-right {
                text-align: right !important;
            }

            .text-center {
                text-align: center !important;
            }

            .text-uppercase {
                text-transform: uppercase !important;
            }
            * {
                font-family: "DejaVu Sans";
            }
            body, h1, h2, h3, h4, h5, h6, table, th, tr, td, p, div {
                line-height: 1.1;
            }
            .party-header {
                font-size: 1.5rem;
                font-weight: 400;
            }
            .total-amount {
                font-size: 12px;
                font-weight: 700;
            }
            .border-0 {
                border: none !important;
            }
            .cool-gray {
                color: #6B7280;
            }
        </style>
    </head>
    <body>
        <h4 class="text-uppercase cool-gray">
            <strong>Beauty and healt distribuitor</strong>
        </h4>
        <table class="table mt-5">
            <tbody>
                <tr>
                    <td class="border-0 pl-0" width="70%">
                        <h4 class="cool-gray">
                            <strong>Remisión</strong>
                        </h4>
                    </td>
                    <td class="border-0 pl-0">
                        <?php if($datos['ventas']->tipo_venta == 0): ?>
                            <h4 class="text-uppercase cool-gray">
                                <strong>Contado</strong>
                            </h4>
                        <?php else: ?>
                            <h4 class="text-uppercase cool-gray">
                                <strong>Credito</strong>
                            </h4>
                        <?php endif; ?>
                        <p><strong><?php echo e($datos['ventas']->id); ?></strong></p>
                        <p><strong><?php echo e(\Carbon\Carbon::now()->toDateString()); ?></strong></p>
                    </td>
                </tr>
            </tbody>
        </table>

         
         <table class="table">
            <thead>
                <tr>
                    <th class="border-0 pl-0 party-header" width="48.5%">
                        Vendedor
                    </th>
                    <th class="border-0" width="3%">
                    </th>
                    <th class="border-0 pl-0 party-header">
                        Comprador
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="px-0">
                        <?php if($datos['ventas']->vendedor->nombre): ?>
                            <p class="seller-name">
                                <strong><?php echo e($datos['ventas']->vendedor->nombre); ?></strong>
                            </p>
                        <?php endif; ?>

                        <?php if($datos['ventas']->vendedor->direccion): ?>
                            <p class="seller-address">
                                Dirección: <?php echo e($datos['ventas']->vendedor->direccion); ?>

                            </p>
                        <?php endif; ?>

                        <?php if($datos['ventas']->vendedor->telefono): ?>
                            <p class="seller-phone">
                                Teléfono: <?php echo e($datos['ventas']->vendedor->telefono); ?>

                            </p>
                        <?php endif; ?>

                    </td>
                    <td class="border-0"></td>
                    <td class="px-0">
                        <?php if($datos['ventas']->cliente->nombre): ?>
                            <p class="buyer-name">
                                <strong><?php echo e($datos['ventas']->cliente->nombre); ?></strong>
                            </p>
                        <?php endif; ?>

                        <?php if($datos['ventas']->cliente->direccion_cliente): ?>
                            <p class="buyer-address">
                                Dirección: <?php echo e($datos['ventas']->cliente->direccion_cliente); ?>

                            </p>
                        <?php endif; ?>

                        <?php if($datos['ventas']->cliente->telefono): ?>
                            <p class="buyer-phone">
                                Teléfono: <?php echo e($datos['ventas']->cliente->telefono); ?>

                            </p>
                        <?php endif; ?>
                    </td>
                </tr>
            </tbody>
        </table>
 
 <table class="table table-items">
    <thead>
        <tr>
            <th scope="col" class="border-0 pl-0">Descripción</th>
            <th scope="col" class="text-center border-0">Marca</th>
            <th scope="col" class="text-center border-0">Piezas</th>
            <th scope="col" class="text-right border-0">Precio</th>
            <th scope="col" class="text-right border-0">Precio Final</th>
            <th scope="col" class="text-right border-0 pr-0">Sub Total</th>
        </tr>
    </thead>
    <tbody>
        
        <?php $__currentLoopData = $datos['productos']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td class="pl-0">
                <?php echo e($item->productos->clave_producto); ?>


                <?php if($item->productos->descripcion_producto): ?>
                    <p class="cool-gray"><?php echo e($item->productos->descripcion_producto); ?></p>
                <?php endif; ?>
            </td>
            <?php if($item->productos->marca_producto): ?>
                <td class="text-center"><?php echo e($item->productos->marca_producto); ?></td>
            <?php else: ?>
            <td class="text-center">Sin Marca</td>
            <?php endif; ?>
            <td class="text-center"><?php echo e($item->cantidad); ?></td>
            <td class="text-right">
                $ <?php echo e(number_format($item->productos->precio_venta, 2)); ?>

            </td>
            <td class="text-right">
                $ <?php echo e(number_format($item->precio_unitario, 2)); ?>

            </td>
            <td class="text-right pr-0">
                $ <?php echo e(number_format($item->costo_total, 2)); ?>

            </td>
        </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td colspan="2"class="border-0"></td>
            <td class="text-right pl-0">Costo Total</td>
            <td class="text-right pr-0 total-amount">
                $ <?php echo e(number_format($datos['ventas']->total, 2)); ?>

            </td>
        </tr>
    </tbody>
</table>
<?php /**PATH E:\xampp\htdocs\venats_meche\resources\views/livewire/Ventas/show.blade.php ENDPATH**/ ?>